summaryrefslogtreecommitdiffstats
path: root/network/razor-agents
diff options
context:
space:
mode:
author Andreas Voegele2013-02-12 19:46:18 +0100
committer Erik Hanson2013-02-14 07:26:58 +0100
commit60c964b9e0a18dbd0b2ce5141a2f918d63596c21 (patch)
tree385d4cd88110b787a5835fbac524503297130a55 /network/razor-agents
parent9c2746da46a9a6121e576f38281fda7f98ed0201 (diff)
downloadslackbuilds-60c964b9e0a18dbd0b2ce5141a2f918d63596c21.tar.gz
network/razor-agents: Added (collaborative spam detection)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'network/razor-agents')
-rw-r--r--network/razor-agents/README8
-rw-r--r--network/razor-agents/razor-agents.SlackBuild97
-rw-r--r--network/razor-agents/razor-agents.info10
-rw-r--r--network/razor-agents/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/network/razor-agents/README b/network/razor-agents/README
new file mode 100644
index 0000000000..6c25d896d2
--- /dev/null
+++ b/network/razor-agents/README
@@ -0,0 +1,8 @@
+Vipul's Razor is a distributed, collaborative, spam detection and
+filtering network based on user submissions of spam. Detection is
+done with signatures that efficiently spot mutating spam content and
+user input is validated through reputation assignments.
+If this package is installed, SpamAssassin performs Razor checks of
+e-mail messages.
+
+See http://razor.sourceforge.net/ for more information about Razor.
diff --git a/network/razor-agents/razor-agents.SlackBuild b/network/razor-agents/razor-agents.SlackBuild
new file mode 100644
index 0000000000..0ef01d5527
--- /dev/null
+++ b/network/razor-agents/razor-agents.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for razor-agents
+
+# Copyright (c) 2013 Andreas Voegele <andreas@andreasvoegele.com>
+#
+# Permission to use, copy, modify, and distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF MIND, USE, DATA OR PROFITS, WHETHER
+# IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
+# OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+PRGNAM=razor-agents
+VERSION=${VERSION:-2.85}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=$PRGNAM
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG INSTALLMAN5DIR=$PKG/usr/man/man5
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ BUGS CREDITS Changes FAQ INSTALL LICENSE README SERVICE_POLICY \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/razor-agents/razor-agents.info b/network/razor-agents/razor-agents.info
new file mode 100644
index 0000000000..9fb2f11236
--- /dev/null
+++ b/network/razor-agents/razor-agents.info
@@ -0,0 +1,10 @@
+PRGNAM="razor-agents"
+VERSION="2.85"
+HOMEPAGE="http://razor.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/razor/razor-agents/2.85/razor-agents-2.85.tar.bz2"
+MD5SUM="014d08db40187cb1316482191566b012"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-digest-sha1 perl-net-dns"
+MAINTAINER="Andreas Voegele"
+EMAIL="andreas@andreasvoegele.com"
diff --git a/network/razor-agents/slack-desc b/network/razor-agents/slack-desc
new file mode 100644
index 0000000000..4de1248bbf
--- /dev/null
+++ b/network/razor-agents/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+razor-agents: razor-agents (collaborative spam detection)
+razor-agents:
+razor-agents: Vipul's Razor is a distributed, collaborative, spam detection and
+razor-agents: filtering network based on user submissions of spam. Detection is
+razor-agents: done with signatures that efficiently spot mutating spam content and
+razor-agents: user input is validated through reputation assignments.
+razor-agents: If this package is installed, SpamAssassin performs Razor checks of
+razor-agents: e-mail messages.
+razor-agents:
+razor-agents: See http://razor.sourceforge.net/ for more information about Razor.
+razor-agents: